mayarin
POST
/v1/subscriptions/{id}/pause

Stops billing. Nothing is billed while paused.

Authorization

secretKey
AuthorizationBearer <token>

Server-side sk_ key. Grants a subset of the merchant's permissions.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/subscriptions/string/pause"
{  "id": "string",  "subscriber": {    "customerId": "string",    "name": "string",    "email": "string"  },  "description": "string",  "amount": {    "amount": "string",    "asset": "string",    "formatted": "string",    "display": "string"  },  "interval": "week",  "state": "active",  "billedCycles": 0,  "daysUntilDue": 0,  "anchorAt": "string",  "nextBillingAt": "string",  "createdAt": "string",  "cancelledAt": "string"}